# Ödeme Başlatma

Bu servis, Paynet tarafında gerekli ayarların yapıldığını kontrol ettikten sonra işlem için gerekli\
olan deeplink\_url’i ve daha sonra Müşterinin Mobil Uygulamasına dönen encrypt edilmiş veriyi\
decrypt etmek için kullanılacak encryption\_key’ini döner. Servise istek gönderilebilmek için mobil\
oturum anahtarı(session\_key) kullanılmalıdır.

## POST /v1/softpos/init\_sale\_transaction

> Satış Başlatma – init\_sale\_transaction

```json
{"openapi":"3.0.3","info":{"title":"PayPOS (Paynet) API","version":"1.0.0"},"tags":[{"name":"SoftPOS"}],"servers":[{"url":"https://api.paynet.com.tr","description":"Production"},{"url":"https://pts-api.paynet.com.tr","description":"Sandbox"}],"paths":{"/v1/softpos/init_sale_transaction":{"post":{"summary":"Satış Başlatma – init_sale_transaction","tags":["SoftPOS"],"parameters":[{"name":"Session-Key","in":"header","required":true,"description":"Mobil oturum anahtarı","schema":{"type":"string"}},{"$ref":"#/components/parameters/ContentTypeHeader"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InitSaleRequest"}}}},"responses":{"200":{"description":"Başarılı","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InitSaleResponse"}}}},"400":{"description":"Hata","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"parameters":{"ContentTypeHeader":{"name":"Content-Type","in":"header","required":true,"description":"İçerik tipi.","schema":{"type":"string"}}},"schemas":{"InitSaleRequest":{"type":"object","properties":{"amount":{"type":"number","description":"Tutar."},"add_commission":{"type":"boolean","description":"Komisyon eklensin mi?"},"instalment":{"type":"integer","description":"Taksit."},"card_holder_phone":{"type":"string","description":"Kart sahibinin telefon numarası."},"card_holder_mail":{"type":"string","description":"Kart sahibinin e-posta adresi."},"description":{"type":"string","description":"Açıklama."},"reference_no":{"type":"string","description":"Referans numarası."},"selected_agent_id":{"type":"string","description":"Seçilen Bayi Id'si"},"callback_url":{"type":"string","description":"Deeplink ile mobil uygulamaya geri dönülecek adres."}}},"InitSaleResponse":{"type":"object","properties":{"payment_session_id":{"type":"string","description":"Payment Session Id."},"deeplink_url":{"type":"string","description":"Deeplink adresi."},"encryption_key":{"type":"string","description":"Şifreleme anahtarı."},"object_name":{"type":"string","description":"Obje türü."},"code":{"type":"integer","description":"Sonuç kodu."},"message":{"type":"string","description":"Sonuç mesajı."}}},"ErrorResponse":{"type":"object","properties":{"object_name":{"type":"string","description":"Obje türü."},"code":{"type":"integer","description":"Sonuç kodu."},"message":{"type":"string","description":"Sonuç mesajı."}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.iyzico.com/urunler/paypos-app2app/app2app-entegrasyonu/odeme-baslatma.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
